<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">



    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.SET_WALLPAPER" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />
    <application
        android:name=".base.PrettyWallPaper"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/pretty_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/pretty_logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.PrettyWallPapers"
        tools:targetApi="31">
        <activity
            android:name=".activity.PrettyPaperActivity"
            android:exported="false" />
        <activity
            android:name=".activity.PrettyCategoryListActivity"
            android:exported="false" />
        <activity
            android:name=".activity.IntoActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.MainActivity"
            android:exported="false" />
        <uses-library android:name="org.apache.http.legacy" android:required="false"/>
        <!-- source file: nonchina_jcenter/network_sdk/vungle/7.3.2/AndroidManifest.xml -->
    </application>

</manifest>